Subject: Use password for user authentication

Description

Communicate with Astakos to let the user give a password when authenticating at the top level (https://hostname/v1/).

History

#1 - 04/13/2012 09:35 am - Antony Chazapis

- Target version deleted (1.0.0)

The main issue with this is how to handle Shibboleth users that do not have a password. One solution would be to let them enter an "API password" in

Astakos. On the other hand, the API token is already exposed for this reason exactly.

#2 - 04/13/2012 09:38 am - Antony Chazapis

- Status changed from New to Feedback

- Target version set to 1.0.0

#3 - 02/08/2013 06:50 pm - Vangelis Koukis

- Project changed from Pithos to Synnefo

- Target version deleted (1.0.0)

#4 - 02/08/2013 06:52 pm - Vangelis Koukis

- Category set to Pithos
